Confirm appointment
POST
{{server}}/api/v1/appointment/confirmationThis request confirms the reservation. The verification code is sent by the server via e-mail or SMS.
Request
-
branch(string, required): Branch key -
bookingCode(string, required): Booking code -
verification(string, required): Verification code
Response
If the confirmation was successful, it returns status 204.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Body (json)
{
"branch": "{{branch}}",
"bookingCode": "918369",
"verification": "1967c573-89d7-6f2e-bbcd-0fe2f7117e7b"
}
Code snippets
- cURL
- JavaScript
- Python
curl -X POST '{{server}}/api/v1/appointment/confirmation' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}' \
-H 'Content-Type: application/json' \
-d '{
"branch": "{{branch}}",
"bookingCode": "918369",
"verification": "1967c573-89d7-6f2e-bbcd-0fe2f7117e7b"
}'
const response = await fetch("{{server}}/api/v1/appointment/confirmation", {
method: "POST",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}",
"Content-Type": "application/json"
},
body: JSON.stringify({
"branch": "{{branch}}",
"bookingCode": "918369",
"verification": "1967c573-89d7-6f2e-bbcd-0fe2f7117e7b"
}),
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/appointment/confirmation"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}",
"Content-Type": "application/json"
}
payload = {
"branch": "{{branch}}",
"bookingCode": "918369",
"verification": "1967c573-89d7-6f2e-bbcd-0fe2f7117e7b"
}
response = requests.post(url, headers=headers, json=payload)
print(response.status_code)
print(response.json())
Example
Example request
POST
{{server}}/api/v1/appointment/confirmationHeaders (1)
| Key | Value |
|---|---|
Accept | application/json |
Body
{
"branch": "{{branch}}",
"bookingCode": "918369",
"verification": "1967c573-89d7-6f2e-bbcd-0fe2f7117e7b"
}
Example response 204 No Content
No response body